/**
 * EIO session: Introduction to OpenGL
 *
 * (C) 2007, Konstantin Tretyakov
 */

#include <GL/glut.h>
#include <GL/gl.h>

// ----------------------------------------------- //

void draw_triangle() {
    glBegin(GL_TRIANGLES);
    
        glColor3f(1.0, 0.0, 0.0);
        glVertex2f(0.0, 0.5);
        
        glColor3f(0.0, 1.0, 0.0);
        glVertex2f(-0.5, -0.5);
        
        glColor3f(0.0, 0.0, 1.0);
        glVertex2f(0.5, -0.5);
    glEnd();
}

// ----------------------------------------------- //

/**
 * This function is invoked every time the screen is being repainted.
 */
void display() {
    // Clear screen
    glClear(GL_COLOR_BUFFER_BIT);

    // Draw stuff
    draw_triangle();

    // Flush picture
    glFlush();
}

// ----------------------------------------------- //
/**
 * Program entry point
 */
int main(int argc, char* argv[]) {

    // Initialize GLUT and create a window
    glutInit(&argc, argv);
    glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
    glutInitWindowSize(400, 400);
    glutInitWindowPosition(30,30);
    glutCreateWindow("EIO Sessioon - Sissejuhatus OpenGL-i");

    // Register handlers
    glutDisplayFunc(display);
    
    // Run main application loop
    glutMainLoop();
    return 0;
}

